<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.storlead.system.mapper.SystemOssConfigMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" extends="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.BaseResultMap" type="com.storlead.system.pojo.entity.SystemOssConfigEntity">
        <id column="id" property="id" />
        <result column="end_point" property="endPoint" />
        <result column="access_key_id" property="accessKeyId" />
        <result column="access_key_secret" property="accessKeySecret" />
        <result column="bucket_name" property="bucketName" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, end_point, access_key_id, access_key_secret, bucket_name, <include refid="com.storlead.framework.mybatis.mapper.SysBaseFieldMapper.Base_Column_List"></include>
    </sql>

</mapper>
